<?php
/**
 * @version		1.0
 * @author		Audrius Dobilinskas http://nexusad.com
 * @copyright	Copyright (C) 2014 NexusAd.com
 * @license		GPL 2.0
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemGoogleUniversalAnalytics extends JPlugin {

    function onAfterRender() {
        $app = JFactory::getApplication();
        $propertyId = $this->params->get('property_id');
        if ($propertyId == '' || $app->isAdmin()) {
            return true;
        }

        $analytics_tracker = "
<!-- Google Universal Analytics for Joomla -->
<script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

ga('create', '"$propertyId"', 'auto');
ga('send', 'pageview');

</script>
<!-- End of Google Universal Analytics for Joomla -->";

        $html = JResponse::getBody();
        $html = preg_replace("/<\/head>/", "\n\n" . $analytics_tracker . "\n\n</head>", $html);
        JResponse::setBody($html);      
        return true;
    }

}

?>